Package ghidra.app.util.cparser.CPP

# Interface PreProcessorConstants

All Known Implementing Classes:
  `PreProcessor`, `PreProcessorTokenManager`

public interface PreProcessorConstants
Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `__LT`
  RegularExpression Id.
  `static final int`
  `_AND`
  RegularExpression Id.
  `static final int`
  `_BLANKLINE`
  RegularExpression Id.
  `static final int`
  `_BOM`
  RegularExpression Id.
  `static final int`
  `_CMT`
  RegularExpression Id.
  `static final int`
  `_CMT0`
  RegularExpression Id.
  `static final int`
  `_CMT11`
  RegularExpression Id.
  `static final int`
  `_CMT3`
  RegularExpression Id.
  `static final int`
  `_CMT4`
  RegularExpression Id.
  `static final int`
  `_CMT5`
  RegularExpression Id.
  `static final int`
  `_COD`
  RegularExpression Id.
  `static final int`
  `_COD_PRAG`
  RegularExpression Id.
  `static final int`
  `_COD_WSP`
  RegularExpression Id.
  `static final int`
  `_COD1`
  RegularExpression Id.
  `static final int`
  `_COD2`
  RegularExpression Id.
  `static final int`
  `_COD3`
  RegularExpression Id.
  `static final int`
  `_COD4`
  RegularExpression Id.
  `static final int`
  `_CODC`
  RegularExpression Id.
  `static final int`
  `_COLON`
  RegularExpression Id.
  `static final int`
  `_CTRL`
  RegularExpression Id.
  `static final int`
  `_ECMT10`
  RegularExpression Id.
  `static final int`
  `_ECMT3`
  RegularExpression Id.
  `static final int`
  `_ECMT5`
  RegularExpression Id.
  `static final int`
  `_ECMT7`
  RegularExpression Id.
  `static final int`
  `_ECMT8`
  RegularExpression Id.
  `static final int`
  `_ECMT9`
  RegularExpression Id.
  `static final int`
  `_EECMT7`
  RegularExpression Id.
  `static final int`
  `_EECMT9`
  RegularExpression Id.
  `static final int`
  `_EEECMT9`
  RegularExpression Id.
  `static final int`
  `_ENDREL`
  RegularExpression Id.
  `static final int`
  `_EQ`
  RegularExpression Id.
  `static final int`
  `_EQT`
  RegularExpression Id.
  `static final int`
  `_EQT1`
  RegularExpression Id.
  `static final int`
  `_GE`
  RegularExpression Id.
  `static final int`
  `_GT`
  RegularExpression Id.
  `static final int`
  `_HEX`
  RegularExpression Id.
  `static final int`
  `_INCCOD`
  RegularExpression Id.
  `static final int`
  `_INCCP`
  RegularExpression Id.
  `static final int`
  `_INCOP`
  RegularExpression Id.
  `static final int`
  `_INCSTANDARD`
  RegularExpression Id.
  `static final int`
  `_INCWSP`
  RegularExpression Id.
  `static final int`
  `_LCMT`
  RegularExpression Id.
  `static final int`
  `_LCMT0`
  RegularExpression Id.
  `static final int`
  `_LCMT11`
  RegularExpression Id.
  `static final int`
  `_LCMT20`
  RegularExpression Id.
  `static final int`
  `_LCMT21`
  RegularExpression Id.
  `static final int`
  `_LCMT4`
  RegularExpression Id.
  `static final int`
  `_LCMT7`
  RegularExpression Id.
  `static final int`
  `_LCMTPRAG`
  RegularExpression Id.
  `static final int`
  `_LE`
  RegularExpression Id.
  `static final int`
  `_LEADIN1`
  RegularExpression Id.
  `static final int`
  `_LEADIN2`
  RegularExpression Id.
  `static final int`
  `_LOG_AND`
  RegularExpression Id.
  `static final int`
  `_LOG_OR`
  RegularExpression Id.
  `static final int`
  `_LSH`
  RegularExpression Id.
  `static final int`
  `_LT`
  RegularExpression Id.
  `static final int`
  `_MACWSP`
  RegularExpression Id.
  `static final int`
  `_MINUS`
  RegularExpression Id.
  `static final int`
  `_MWSP`
  RegularExpression Id.
  `static final int`
  `_NEQ`
  RegularExpression Id.
  `static final int`
  `_OR`
  RegularExpression Id.
  `static final int`
  `_PERCENT`
  RegularExpression Id.
  `static final int`
  `_PLUS`
  RegularExpression Id.
  `static final int`
  `_QMARK`
  RegularExpression Id.
  `static final int`
  `_QTE`
  RegularExpression Id.
  `static final int`
  `_QTE0`
  RegularExpression Id.
  `static final int`
  `_QTE1`
  RegularExpression Id.
  `static final int`
  `_RSH`
  RegularExpression Id.
  `static final int`
  `_SCMT_PRAG`
  RegularExpression Id.
  `static final int`
  `_TOEOL`
  RegularExpression Id.
  `static final int`
  `_WSP`
  RegularExpression Id.
  `static final int`
  `_WSP_INFO`
  RegularExpression Id.
  `static final int`
  `_WSP0`
  RegularExpression Id.
  `static final int`
  `_WSP2`
  RegularExpression Id.
  `static final int`
  `_WSP3`
  RegularExpression Id.
  `static final int`
  `_WSP4`
  RegularExpression Id.
  `static final int`
  `_WSP5`
  RegularExpression Id.
  `static final int`
  `_WSP6`
  RegularExpression Id.
  `static final int`
  `_WSP7`
  RegularExpression Id.
  `static final int`
  `_WSP8`
  RegularExpression Id.
  `static final int`
  `_XOR`
  RegularExpression Id.
  `static final int`
  `_XSYM`
  RegularExpression Id.
  `static final int`
  `_XSYMENDL`
  RegularExpression Id.
  `static final int`
  `AND`
  RegularExpression Id.
  `static final int`
  `BEGITEM`
  RegularExpression Id.
  `static final int`
  `CMNTNL`
  RegularExpression Id.
  `static final int`
  `CMT`
  RegularExpression Id.
  `static final int`
  `COD`
  RegularExpression Id.
  `static final int`
  `COLON`
  RegularExpression Id.
  `static final int`
  `COMMA`
  RegularExpression Id.
  `static final int`
  `COMMENT`
  Lexical state.
  `static final int`
  `CONLINE`
  RegularExpression Id.
  `static final int`
  `CONSTANT`
  Lexical state.
  `static final int`
  `CONSTITUENT`
  RegularExpression Id.
  `static final int`
  `CONTARG`
  Lexical state.
  `static final int`
  `CP`
  RegularExpression Id.
  `static final int`
  `DECIMAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `DEFAULT`
  Lexical state.
  `static final int`
  `DEFD`
  RegularExpression Id.
  `static final int`
  `DEFINE`
  Lexical state.
  `static final int`
  `DEFINED`
  RegularExpression Id.
  `static final int`
  `DIR`
  RegularExpression Id.
  `static final int`
  `DIRECTIVE`
  Lexical state.
  `static final int`
  `DIRECTIVECOMMENT`
  Lexical state.
  `static final int`
  `DIRLINE`
  RegularExpression Id.
  `static final int`
  `DIVIDE`
  RegularExpression Id.
  `static final int`
  `ECMT`
  RegularExpression Id.
  `static final int`
  `ELIF`
  RegularExpression Id.
  `static final int`
  `ELSE`
  RegularExpression Id.
  `static final int`
  `ENDCMT`
  RegularExpression Id.
  `static final int`
  `ENDIF`
  RegularExpression Id.
  `static final int`
  `ENDITEM`
  RegularExpression Id.
  `static final int`
  `ENDL`
  RegularExpression Id.
  `static final int`
  `ENDREL`
  RegularExpression Id.
  `static final int`
  `EOF`
  End of File.
  `static final int`
  `EOLCMNTNL`
  RegularExpression Id.
  `static final int`
  `EQ`
  RegularExpression Id.
  `static final int`
  `ERRLINE`
  RegularExpression Id.
  `static final int`
  `ERROR`
  Lexical state.
  `static final int`
  `ERROR_EXPRN`
  RegularExpression Id.
  `static final int`
  `ESTD`
  RegularExpression Id.
  `static final int`
  `EXPATH`
  RegularExpression Id.
  `static final int`
  `EXPONENT`
  RegularExpression Id.
  `static final int`
  `FP_LITERAL`
  RegularExpression Id.
  `static final int`
  `FP_NUMERIC`
  RegularExpression Id.
  `static final int`
  `GE`
  RegularExpression Id.
  `static final int`
  `GT`
  RegularExpression Id.
  `static final int`
  `HASINCLUDE`
  RegularExpression Id.
  `static final int`
  `HASINCLUDENEXT`
  RegularExpression Id.
  `static final int`
  `HEX_DIGIT`
  RegularExpression Id.
  `static final int`
  `HEX_LITERAL`
  RegularExpression Id.
  `static final int`
  `IF`
  RegularExpression Id.
  `static final int`
  `IFDEF`
  Lexical state.
  `static final int`
  `IFDEF_EXPRN`
  RegularExpression Id.
  `static final int`
  `IFDEFED`
  RegularExpression Id.
  `static final int`
  `IFDLINE`
  RegularExpression Id.
  `static final int`
  `IFNDEF`
  Lexical state.
  `static final int`
  `IFNDEF_EXPRN`
  RegularExpression Id.
  `static final int`
  `IFNDEFED`
  RegularExpression Id.
  `static final int`
  `IFNDLINE`
  RegularExpression Id.
  `static final int`
  `IGNORETOEOL`
  Lexical state.
  `static final int`
  `INCDEF`
  Lexical state.
  `static final int`
  `INCLINE`
  RegularExpression Id.
  `static final int`
  `INCLUDE`
  Lexical state.
  `static final int`
  `INFO`
  Lexical state.
  `static final int`
  `INFO_EXPRN`
  RegularExpression Id.
  `static final int`
  `INFOLINE`
  RegularExpression Id.
  `static final int`
  `INTEGER_LITERAL`
  RegularExpression Id.
  `static final int`
  `ITEM`
  RegularExpression Id.
  `static final int`
  `LE`
  RegularExpression Id.
  `static final int`
  `LEADIN3`
  RegularExpression Id.
  `static final int`
  `LINE`
  Lexical state.
  `static final int`
  `LINECOMMENT`
  Lexical state.
  `static final int`
  `LINEINFO`
  RegularExpression Id.
  `static final int`
  `LINLINE`
  RegularExpression Id.
  `static final int`
  `LOG_AND`
  RegularExpression Id.
  `static final int`
  `LOG_OR`
  RegularExpression Id.
  `static final int`
  `LSH`
  RegularExpression Id.
  `static final int`
  `LT`
  RegularExpression Id.
  `static final int`
  `MACEXPPATH`
  RegularExpression Id.
  `static final int`
  `MACROARGS`
  Lexical state.
  `static final int`
  `MACROARGSEND`
  RegularExpression Id.
  `static final int`
  `MACROMV`
  RegularExpression Id.
  `static final int`
  `MACROMVTAG`
  RegularExpression Id.
  `static final int`
  `MACRORV`
  RegularExpression Id.
  `static final int`
  `MACRORVCMT`
  RegularExpression Id.
  `static final int`
  `MACROVALS`
  Lexical state.
  `static final int`
  `MACROVALS_COMMENT`
  Lexical state.
  `static final int`
  `MANIFEST`
  RegularExpression Id.
  `static final int`
  `MCVLINE`
  RegularExpression Id.
  `static final int`
  `MINUS`
  RegularExpression Id.
  `static final int`
  `MOD`
  RegularExpression Id.
  `static final int`
  `MOREARG`
  RegularExpression Id.
  `static final int`
  `MOREVAL`
  RegularExpression Id.
  `static final int`
  `MQUOTED_VAL`
  Lexical state.
  `static final int`
  `MQUOTED_VALUE`
  RegularExpression Id.
  `static final int`
  `NEQ`
  RegularExpression Id.
  `static final int`
  `NEWLINE`
  RegularExpression Id.
  `static final int`
  `NOPAR`
  RegularExpression Id.
  `static final int`
  `NOT`
  RegularExpression Id.
  `static final int`
  `NOTCHR`
  RegularExpression Id.
  `static final int`
  `NOTCMT`
  RegularExpression Id.
  `static final int`
  `NOTCMTCOD`
  RegularExpression Id.
  `static final int`
  `NOTENDL`
  RegularExpression Id.
  `static final int`
  `NOTENDLC`
  RegularExpression Id.
  `static final int`
  `NOTENDLSTAR`
  RegularExpression Id.
  `static final int`
  `NOTVALCMT`
  RegularExpression Id.
  `static final int`
  `NOTWQC`
  RegularExpression Id.
  `static final int`
  `NOTWS`
  RegularExpression Id.
  `static final int`
  `NOTWSQ`
  RegularExpression Id.
  `static final int`
  `NOTWSQLT`
  RegularExpression Id.
  `static final int`
  `NOTWWSQLT`
  RegularExpression Id.
  `static final int`
  `NUMERIC`
  RegularExpression Id.
  `static final int`
  `OCTAL_LITERAL`
  RegularExpression Id.
  `static final int`
  `OP`
  RegularExpression Id.
  `static final int`
  `OPTD`
  RegularExpression Id.
  `static final int`
  `OPTIONED`
  RegularExpression Id.
  `static final int`
  `OR`
  RegularExpression Id.
  `static final int`
  `OTHER_TEXT`
  RegularExpression Id.
  `static final int`
  `OUTER_TEXT`
  RegularExpression Id.
  `static final int`
  `PLUS`
  RegularExpression Id.
  `static final int`
  `PRAGLINE`
  RegularExpression Id.
  `static final int`
  `PRAGMA`
  Lexical state.
  `static final int`
  `PRAGMA_EXPRN`
  RegularExpression Id.
  `static final int`
  `QMARK`
  RegularExpression Id.
  `static final int`
  `QUOTED_TEXT`
  RegularExpression Id.
  `static final int`
  `QUOTED_VAL`
  Lexical state.
  `static final int`
  `QUOTED_VALUE`
  RegularExpression Id.
  `static final int`
  `REL`
  RegularExpression Id.
  `static final int`
  `RELATIVE`
  RegularExpression Id.
  `static final int`
  `RELPATH`
  Lexical state.
  `static final int`
  `RSH`
  RegularExpression Id.
  `static final int`
  `RVALUES`
  Lexical state.
  `static final int`
  `RVALUES_COMMENT`
  Lexical state.
  `static final int`
  `RVSLINE`
  RegularExpression Id.
  `static final int`
  `SpecialBlockComment`
  Lexical state.
  `static final int`
  `SpecialEOLComment`
  Lexical state.
  `static final int`
  `STANDARD`
  RegularExpression Id.
  `static final int`
  `STARTCMT`
  RegularExpression Id.
  `static final int`
  `STD`
  RegularExpression Id.
  `static final int`
  `STDPATH`
  Lexical state.
  `static final int`
  `TIMES`
  RegularExpression Id.
  `static final String[]`
  `tokenImage`
  Literal token values.
  `static final int`
  `UNDEFINE`
  Lexical state.
  `static final int`
  `UNDIR`
  RegularExpression Id.
  `static final int`
  `UNDIRALL`
  RegularExpression Id.
  `static final int`
  `UNDLINE`
  RegularExpression Id.
  `static final int`
  `VALUES`
  RegularExpression Id.
  `static final int`
  `VALUESCMT`
  RegularExpression Id.
  `static final int`
  `WARNING`
  Lexical state.
  `static final int`
  `WARNING_EXPRN`
  RegularExpression Id.
  `static final int`
  `WARNLINE`
  RegularExpression Id.
  `static final int`
  `WS`
  RegularExpression Id.
  `static final int`
  `WSP`
  RegularExpression Id.
  `static final int`
  `XOR`
  RegularExpression Id.
  `static final int`
  `XSYM`
  RegularExpression Id.
  `static final int`
  `XSYMLINK`
  Lexical state.
  `static final int`
  `XSYMLINKPATH`
  RegularExpression Id.
  `static final int`
  `XSYMPATH`
  Lexical state.

- ## Field Details

  - ### EOF

    static final int EOF
    End of File.
    See Also:
      - Constant Field Values

  - ### _BOM

    static final int _BOM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CTRL

    static final int _CTRL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _XSYM

    static final int _XSYM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _BLANKLINE

    static final int _BLANKLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT

    static final int _LCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT

    static final int _CMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EOLCMNTNL

    static final int EOLCMNTNL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CMNTNL

    static final int CMNTNL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EQ

    static final int _EQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _NEQ

    static final int _NEQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LT

    static final int _LT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _GT

    static final int _GT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LE

    static final int _LE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _GE

    static final int _GE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _AND

    static final int _AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LOG_AND

    static final int _LOG_AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _OR

    static final int _OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _XOR

    static final int _XOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LOG_OR

    static final int _LOG_OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LSH

    static final int _LSH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _RSH

    static final int _RSH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _MINUS

    static final int _MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _PERCENT

    static final int _PERCENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _PLUS

    static final int _PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QMARK

    static final int _QMARK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COLON

    static final int _COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIR

    static final int DIR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### XSYM

    static final int XSYM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CMT

    static final int CMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ECMT

    static final int ECMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENDCMT

    static final int ENDCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STARTCMT

    static final int STARTCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COD

    static final int COD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENDL

    static final int ENDL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNDIR

    static final int UNDIR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNDIRALL

    static final int UNDIRALL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFD

    static final int DEFD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPTD

    static final int OPTD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENDREL

    static final int ENDREL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CP

    static final int CP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OP

    static final int OP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOPAR

    static final int NOPAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WSP

    static final int WSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STD

    static final int STD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### REL

    static final int REL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTENDL

    static final int NOTENDL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTENDLC

    static final int NOTENDLC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTENDLSTAR

    static final int NOTENDLSTAR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTCMT

    static final int NOTCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTCMTCOD

    static final int NOTCMTCOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTWS

    static final int NOTWS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTWSQ

    static final int NOTWSQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTWQC

    static final int NOTWQC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTWWSQLT

    static final int NOTWWSQLT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTWSQLT

    static final int NOTWSQLT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTVALCMT

    static final int NOTVALCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INTEGER_LITERAL

    static final int INTEGER_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HEX_LITERAL

    static final int HEX_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HEX_DIGIT

    static final int HEX_DIGIT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OCTAL_LITERAL

    static final int OCTAL_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FP_LITERAL

    static final int FP_LITERAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPONENT

    static final int EXPONENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOTCHR

    static final int NOTCHR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WS

    static final int WS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OUTER_TEXT

    static final int OUTER_TEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEWLINE

    static final int NEWLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OTHER_TEXT

    static final int OTHER_TEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED_TEXT

    static final int QUOTED_TEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP0

    static final int _WSP0
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD1

    static final int _COD1
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP2

    static final int _WSP2
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COMMA

    static final int COMMA
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT0

    static final int _LCMT0
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT0

    static final int _CMT0
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IF

    static final int IF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELIF

    static final int ELIF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ELSE

    static final int ELSE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENDIF

    static final int ENDIF
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFDEFED

    static final int IFDEFED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFNDEFED

    static final int IFNDEFED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NOT

    static final int NOT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFINED

    static final int DEFINED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HASINCLUDE

    static final int HASINCLUDE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### HASINCLUDENEXT

    static final int HASINCLUDENEXT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OPTIONED

    static final int OPTIONED
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EQ

    static final int EQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NEQ

    static final int NEQ
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LT

    static final int LT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GT

    static final int GT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LE

    static final int LE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### GE

    static final int GE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### AND

    static final int AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### OR

    static final int OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### XOR

    static final int XOR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOG_OR

    static final int LOG_OR
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LOG_AND

    static final int LOG_AND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LSH

    static final int LSH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RSH

    static final int RSH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MINUS

    static final int MINUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PLUS

    static final int PLUS
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIVIDE

    static final int DIVIDE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOD

    static final int MOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### TIMES

    static final int TIMES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QMARK

    static final int QMARK
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### COLON

    static final int COLON
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### NUMERIC

    static final int NUMERIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### FP_NUMERIC

    static final int FP_NUMERIC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ITEM

    static final int ITEM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### BEGITEM

    static final int BEGITEM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ENDITEM

    static final int ENDITEM
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DIRLINE

    static final int DIRLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _TOEOL

    static final int _TOEOL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT11

    static final int _LCMT11
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT11

    static final int _CMT11
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _INCCOD

    static final int _INCCOD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _INCWSP

    static final int _INCWSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _INCCP

    static final int _INCCP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _INCOP

    static final int _INCOP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _INCSTANDARD

    static final int _INCSTANDARD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _HEX

    static final int _HEX
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _XSYMENDL

    static final int _XSYMENDL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### EXPATH

    static final int EXPATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### XSYMLINKPATH

    static final int XSYMLINKPATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INCLINE

    static final int INCLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACEXPPATH

    static final int MACEXPPATH
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD

    static final int _COD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP

    static final int _WSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### __LT

    static final int __LT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QTE

    static final int _QTE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ESTD

    static final int ESTD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### STANDARD

    static final int STANDARD
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ENDREL

    static final int _ENDREL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RELATIVE

    static final int RELATIVE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRAGMA_EXPRN

    static final int PRAGMA_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### PRAGLINE

    static final int PRAGLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMTPRAG

    static final int _LCMTPRAG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _SCMT_PRAG

    static final int _SCMT_PRAG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD_WSP

    static final int _COD_WSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD_PRAG

    static final int _COD_PRAG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFDEF_EXPRN

    static final int IFDEF_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFDLINE

    static final int IFDLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT20

    static final int _LCMT20
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP3

    static final int _WSP3
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFNDEF_EXPRN

    static final int IFNDEF_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### IFNDLINE

    static final int IFNDLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT21

    static final int _LCMT21
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP4

    static final int _WSP4
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ERROR_EXPRN

    static final int ERROR_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### ERRLINE

    static final int ERRLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP5

    static final int _WSP5
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WARNING_EXPRN

    static final int WARNING_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### WARNLINE

    static final int WARNLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP6

    static final int _WSP6
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INFO_EXPRN

    static final int INFO_EXPRN
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### INFOLINE

    static final int INFOLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP_INFO

    static final int _WSP_INFO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LEADIN1

    static final int _LEADIN1
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONSTITUENT

    static final int CONSTITUENT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### UNDLINE

    static final int UNDLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LEADIN2

    static final int _LEADIN2
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP7

    static final int _WSP7
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CODC

    static final int _CODC
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MANIFEST

    static final int MANIFEST
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### CONLINE

    static final int CONLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LINLINE

    static final int LINLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LINEINFO

    static final int LINEINFO
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT3

    static final int _ECMT3
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT3

    static final int _CMT3
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT10

    static final int _ECMT10
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT4

    static final int _LCMT4
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT4

    static final int _CMT4
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QTE0

    static final int _QTE0
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _WSP8

    static final int _WSP8
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD2

    static final int _COD2
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### RVSLINE

    static final int RVSLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VALUES

    static final int VALUES
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### VALUESCMT

    static final int VALUESCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOREVAL

    static final int MOREVAL
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT7

    static final int _ECMT7
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EECMT7

    static final int _EECMT7
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EQT

    static final int _EQT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### QUOTED_VALUE

    static final int QUOTED_VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACROMV

    static final int MACROMV
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACROMVTAG

    static final int MACROMVTAG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACROARGSEND

    static final int MACROARGSEND
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT5

    static final int _ECMT5
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _CMT5

    static final int _CMT5
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _MWSP

    static final int _MWSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD3

    static final int _COD3
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _MACWSP

    static final int _MACWSP
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MOREARG

    static final int MOREARG
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACRORV

    static final int MACRORV
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MACRORVCMT

    static final int MACRORVCMT
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _LCMT7

    static final int _LCMT7
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _COD4

    static final int _COD4
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT8

    static final int _ECMT8
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _QTE1

    static final int _QTE1
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MCVLINE

    static final int MCVLINE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### LEADIN3

    static final int LEADIN3
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EQT1

    static final int _EQT1
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### MQUOTED_VALUE

    static final int MQUOTED_VALUE
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _ECMT9

    static final int _ECMT9
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EEECMT9

    static final int _EEECMT9
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### _EECMT9

    static final int _EECMT9
    RegularExpression Id.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    static final int DEFAULT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### SpecialEOLComment

    static final int SpecialEOLComment
    Lexical state.
    See Also:
      - Constant Field Values

  - ### SpecialBlockComment

    static final int SpecialBlockComment
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DIRECTIVE

    static final int DIRECTIVE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IGNORETOEOL

    static final int IGNORETOEOL
    Lexical state.
    See Also:
      - Constant Field Values

  - ### INCDEF

    static final int INCDEF
    Lexical state.
    See Also:
      - Constant Field Values

  - ### XSYMLINK

    static final int XSYMLINK
    Lexical state.
    See Also:
      - Constant Field Values

  - ### XSYMPATH

    static final int XSYMPATH
    Lexical state.
    See Also:
      - Constant Field Values

  - ### INCLUDE

    static final int INCLUDE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### STDPATH

    static final int STDPATH
    Lexical state.
    See Also:
      - Constant Field Values

  - ### RELPATH

    static final int RELPATH
    Lexical state.
    See Also:
      - Constant Field Values

  - ### PRAGMA

    static final int PRAGMA
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IFDEF

    static final int IFDEF
    Lexical state.
    See Also:
      - Constant Field Values

  - ### IFNDEF

    static final int IFNDEF
    Lexical state.
    See Also:
      - Constant Field Values

  - ### ERROR

    static final int ERROR
    Lexical state.
    See Also:
      - Constant Field Values

  - ### WARNING

    static final int WARNING
    Lexical state.
    See Also:
      - Constant Field Values

  - ### INFO

    static final int INFO
    Lexical state.
    See Also:
      - Constant Field Values

  - ### UNDEFINE

    static final int UNDEFINE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DEFINE

    static final int DEFINE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### CONSTANT

    static final int CONSTANT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### LINE

    static final int LINE
    Lexical state.
    See Also:
      - Constant Field Values

  - ### COMMENT

    static final int COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### LINECOMMENT

    static final int LINECOMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### DIRECTIVECOMMENT

    static final int DIRECTIVECOMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### RVALUES

    static final int RVALUES
    Lexical state.
    See Also:
      - Constant Field Values

  - ### RVALUES_COMMENT

    static final int RVALUES_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### QUOTED_VAL

    static final int QUOTED_VAL
    Lexical state.
    See Also:
      - Constant Field Values

  - ### MACROARGS

    static final int MACROARGS
    Lexical state.
    See Also:
      - Constant Field Values

  - ### CONTARG

    static final int CONTARG
    Lexical state.
    See Also:
      - Constant Field Values

  - ### MACROVALS

    static final int MACROVALS
    Lexical state.
    See Also:
      - Constant Field Values

  - ### MQUOTED_VAL

    static final int MQUOTED_VAL
    Lexical state.
    See Also:
      - Constant Field Values

  - ### MACROVALS_COMMENT

    static final int MACROVALS_COMMENT
    Lexical state.
    See Also:
      - Constant Field Values

  - ### tokenImage

    static final String[] tokenImage
    Literal token values.